Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd.impl
Class TCleanupImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.dd.impl.TCleanupImpl

All Implemented Interfaces:
  java.io.Serializable, TCleanup, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

    public class TCleanupImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements TCleanup

An XML tCleanup(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TCleanupImpl.CategoryImpl` An XML category(@http://www.apache.org/ode/schemas/dd/2007/03).
`static class` | `TCleanupImpl.OnImpl` An XML on(@).

Nested classes/interfaces inherited from interface org.apache.ode.bpel.dd.TCleanup
`TCleanup.Category, TCleanup.Factory, TCleanup.On`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.dd.TCleanup
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TCleanupImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`void` | `addCategory(TCleanup.Category.Enum category)` Appends the value as the last "category" element
`TCleanup.Category` | `addNewCategory()` Appends and returns a new empty value (as xml) as the last "category" element
`TCleanup.Category.Enum[]` | `getCategoryArray()` Gets array of all "category" elements
`TCleanup.Category.Enum` | `getCategoryArray(int i)` Gets ith "category" element
`java.util.List<TCleanup.Category.Enum>` | `getCategoryList()` Gets a List of "category" elements
`TCleanup.On.Enum` | `getOn()` Gets the "on" attribute
`void` | `insertCategory(int i, TCleanup.Category.Enum category)` Inserts the value as the ith "category" element
`TCleanup.Category` | `insertNewCategory(int i)` Inserts and returns a new empty value (as xml) as the ith "category" element
`void` | `removeCategory(int i)` Removes the ith "category" element
`void` | `setCategoryArray(int i, TCleanup.Category.Enum category)` Sets ith "category" element
`void` | `setCategoryArray(TCleanup.Category.Enum[] categoryArray)` Sets array of all "category" element
`void` | `setOn(TCleanup.On.Enum on)` Sets the "on" attribute
`int` | `sizeOfCategoryArray()` Returns number of "category" element
`TCleanup.Category[]` | `xgetCategoryArray()` Gets (as xml) array of all "category" elements
`TCleanup.Category` | `xgetCategoryArray(int i)` Gets (as xml) ith "category" element
`java.util.List<TCleanup.Category>` | `xgetCategoryList()` Gets (as xml) a List of "category" elements
`TCleanup.On` | `xgetOn()` Gets (as xml) the "on" attribute
`void` | `xsetCategoryArray(int i, TCleanup.Category category)` Sets (as xml) ith "category" element
`void` | `xsetCategoryArray(TCleanup.Category[] categoryArray)` Sets (as xml) array of all "category" element
`void` | `xsetOn(TCleanup.On on)` Sets (as xml) the "on" attribute

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TCleanupImpl

    public TCleanupImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getCategoryList

    public java.util.List<TCleanup.Category.Enum> getCategoryList()

  Gets a List of "category" elements

  Specified by:
    `getCategoryList` in interface `TCleanup`

### getCategoryArray

    public TCleanup.Category.Enum[] getCategoryArray()

  Gets array of all "category" elements

  Specified by:
    `getCategoryArray` in interface `TCleanup`

### getCategoryArray

    public TCleanup.Category.Enum getCategoryArray(int i)

  Gets ith "category" element

  Specified by:
    `getCategoryArray` in interface `TCleanup`

### xgetCategoryList

    public java.util.List<TCleanup.Category> xgetCategoryList()

  Gets (as xml) a List of "category" elements

  Specified by:
    `xgetCategoryList` in interface `TCleanup`

### xgetCategoryArray

    public TCleanup.Category[] xgetCategoryArray()

  Gets (as xml) array of all "category" elements

  Specified by:
    `xgetCategoryArray` in interface `TCleanup`

### xgetCategoryArray

    public TCleanup.Category xgetCategoryArray(int i)

  Gets (as xml) ith "category" element

  Specified by:
    `xgetCategoryArray` in interface `TCleanup`

### sizeOfCategoryArray

    public int sizeOfCategoryArray()

  Returns number of "category" element

  Specified by:
    `sizeOfCategoryArray` in interface `TCleanup`

### setCategoryArray

    public void setCategoryArray(TCleanup.Category.Enum[] categoryArray)

  Sets array of all "category" element

  Specified by:
    `setCategoryArray` in interface `TCleanup`

### setCategoryArray

    public void setCategoryArray(int i,
                                 TCleanup.Category.Enum category)

  Sets ith "category" element

  Specified by:
    `setCategoryArray` in interface `TCleanup`

### xsetCategoryArray

    public void xsetCategoryArray(TCleanup.Category[] categoryArray)

  Sets (as xml) array of all "category" element

  Specified by:
    `xsetCategoryArray` in interface `TCleanup`

### xsetCategoryArray

    public void xsetCategoryArray(int i,
                                  TCleanup.Category category)

  Sets (as xml) ith "category" element

  Specified by:
    `xsetCategoryArray` in interface `TCleanup`

### insertCategory

    public void insertCategory(int i,
                               TCleanup.Category.Enum category)

  Inserts the value as the ith "category" element

  Specified by:
    `insertCategory` in interface `TCleanup`

### addCategory

    public void addCategory(TCleanup.Category.Enum category)

  Appends the value as the last "category" element

  Specified by:
    `addCategory` in interface `TCleanup`

### insertNewCategory

    public TCleanup.Category insertNewCategory(int i)

  Inserts and returns a new empty value (as xml) as the ith "category" element

  Specified by:
    `insertNewCategory` in interface `TCleanup`

### addNewCategory

    public TCleanup.Category addNewCategory()

  Appends and returns a new empty value (as xml) as the last "category" element

  Specified by:
    `addNewCategory` in interface `TCleanup`

### removeCategory

    public void removeCategory(int i)

  Removes the ith "category" element

  Specified by:
    `removeCategory` in interface `TCleanup`

### getOn

    public TCleanup.On.Enum getOn()

  Gets the "on" attribute

  Specified by:
    `getOn` in interface `TCleanup`

### xgetOn

    public TCleanup.On xgetOn()

  Gets (as xml) the "on" attribute

  Specified by:
    `xgetOn` in interface `TCleanup`

### setOn

    public void setOn(TCleanup.On.Enum on)

  Sets the "on" attribute

  Specified by:
    `setOn` in interface `TCleanup`

### xsetOn

    public void xsetOn(TCleanup.On on)

  Sets (as xml) the "on" attribute

  Specified by:
    `xsetOn` in interface `TCleanup`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD